registerOutputEvent("fxDTSBrick", "ifPlayerInvincible", "", 1);
registerInputEvent("fxDTSBrick", "onInvincibleTrue", "Self fxDTSBrick" TAB "Player Player" TAB "Client gameConnection" TAB "MiniGame MiniGame");
registerInputEvent("fxDTSBrick", "onInvincibleFalse", "Self fxDTSBrick" TAB "Player Player" TAB "Client gameConnection" TAB "MiniGame MiniGame");

function fxDTSBrick::ifPlayerInvincible(%brick, %client)
{
	if(!isObject(%player = %client.player))
	{
		%player = 0;
	}

	if(!isObject(%client))
	{
		%client = 0;
	}

	$InputTarget_["Self"] = %brick;
	$InputTarget_["Player"] = %player;
	$InputTarget_["Client"] = %client;

	if($Server::LAN)
	{
		if(isObject(%client))
		{
			$InputTarget_["MiniGame"] = getMiniGameFromObject(%client);
		}

		else
		{
			$InputTarget_["MiniGame"] = getMiniGameFromObject(%brick);
		}
	}

	else
	{
		if(!isObject(%client) || getMiniGameFromObject(%brick) == getMiniGameFromObject(%client))
		{
			$InputTarget_["MiniGame"] = getMiniGameFromObject(%brick);
		}

		else
		{
			$InputTarget_["MiniGame"] = 0;
		}
	}

	if(!isObject(%player))
	{
		return;
	}

	if(%player.getDataBlock().isInvincible || !isObject(%client.minigame) || %player.isInvincible)
	{
		%brick.processInputEvent("onInvincibleTrue", %client);
	}

	else
	{
		%brick.processInputEvent("onInvincibleFalse", %client);
	}
}