//This file limits the number of landmines a single player can have.

package Landmine_Fix
{
	function LandmineImage::onFire(%data, %player, %slot)
	{
		if(isObject(%client = %player.client) && %mini = %client.isInBaseRaidersMini())
		{
			%found = 0;

			for(%i = 0; %i <= $LandMineCount; %i++)
			{
				%obj = $LandMineData[%i];

				if(isObject(%obj) && %obj.owner == %client)
				{
					%found++;
				}
			}

			if(%found >= %mini.baseRaidersMaxLandMines)
			{
				%var = %mini.baseRaidersMaxLandMines == 1 ? "landmine" : "landmines";
				commandToClient(%player.client, 'centerPrint', "You already have\c6" SPC %mini.baseRaidersMaxLandMines SPC "\c0" @ %var SPC "placed!", 2);

				return;
			}

			if(%player.isInvincible || %player.potentialInvincible)
			{
				commandToClient(%player.client, 'centerPrint', "You can't place mines in the spawn!", 2);

				return;
			}
		}

		parent::onFire(%data, %player, %slot);
	}
};
activatePackage(Landmine_Fix);