//BARRICADE INFO:
//	"\c6Barriacde | \c2HP\c6: (%COLOR)%brick.health \c6| Strength Multiplier: \c3%brick.strengthMultiplier"

//Brick Types:
//1 = Barricade
//2 = Printer
//3 = Health Box
//4 = Storage Crate
//5 = Item Barrel
//6 = Storage Safe
//7 = Spawn Zone

datablock fxDTSBrickData(brickCastleWallBarricadeData : brick3x1x7WallData)
{
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "Castle Wall [B]";

	baseRaidersBrickType = 1;
	baseRaidersCost = 80;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 5;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brickWindowBarricadeData : brick4x1x5WindowData)
{
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "1x4x5 Window [B]";

	baseRaidersBrickType = 1;
	baseRaidersCost = 50;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 3;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brickLatticeBarricadeData : brick2x2x5GirderData)
{
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "2x2x5 Lattice [B]";

	baseRaidersBrickType = 1;
	baseRaidersCost = 80;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 5.5;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brickFenceBarricadeData : brick4x1x2FenceData)
{
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "1x4x2 Fence [B]";

	baseRaidersBrickType = 1;
	baseRaidersCost = 50;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 3.5;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brickWireFenceBarricadeData : Wirefence3Data)
{
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "Wire Fence [B]";

	baseRaidersBrickType = 1;
	baseRaidersCost = 70;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 6;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brick4x4FBarricadeData : brick4x4FData)
{
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "4x4F [B]";

	baseRaidersBrickType = 1;
	baseRaidersCost = 45;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 3;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brick1x6x6BarricadeData)
{
	brickFile = "./1x6x6.blb";
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "1x6x6 [B]";
	iconName = "";

	baseRaidersBrickType = 1;
	baseRaidersCost = 180;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 7;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brick1x8x9BarricadeData)
{
	brickFile = "./1x8x9.blb";
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "1x8x9 [B]";
	iconName = "";

	baseRaidersBrickType = 1;
	baseRaidersCost = 320;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 9;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brick1x12x9BarricadeData)
{
	brickFile = "./1x12x9.blb";
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "1x12x9 [B]";
	iconName = "";

	baseRaidersBrickType = 1;
	baseRaidersCost = 450;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 12;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brick1x24x18BarricadeData)
{
	brickFile = "./1x24x18.blb";
	category = "Base Raiders";
	subCategory = "Barricades";
	uiName = "1x24x18 [B]";
	iconName = "";

	baseRaidersBrickType = 1;
	baseRaidersCost = 600;
	baseRaidersForceColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 13;
	baseRaidersInfo = "";
};

datablock fxDTSBrickData(brickManualPrinterData)
{
	brickFile = "./printer.blb";
	category = "Base Raiders";
	subCategory = "Printers";
	uiName = "Manual Printer";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/printer";

	baseRaidersBrickType = 2;
	baseRaidersCost = 20;
	baseRaidersForceColor = "110 139 61 255";
	baseRaidersStrengthMultiplier = 2;
	baseRaidersPower = 0;
	baseRaidersTempPowerDrainTime = 1.5;
	baseRaidersMaxTempPower = 200;
	baseRaidersPrintTime = 23;
	baseRaidersPrintSound = ManualMoneyPrintSound;
	baseRaidersInfo = "\c3%data.uiName \c6| \c2Power\c6: \c2%brick.tempPower \c6| \c2Progress\c6: \c2%brick.progress% \c6| \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickRegularPrinterData)
{
	brickFile = "./printer.blb";
	category = "Base Raiders";
	subCategory = "Printers";
	uiName = "Regular Printer";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/printer";

	baseRaidersBrickType = 2;
	baseRaidersCost = 200;
	baseRaidersForceColor = "112 128 144 255";
	baseRaidersStrengthMultiplier = 2;
	baseRaidersPower = 2;
	baseRaidersPrintTime = 22.5;
	baseRaidersPrintSound = MoneyPrintSound;
	baseRaidersInfo = "\c3%data.uiName \c6| \c2Power\c6: \c2%brick.tempPower \c6| \c2Progress\c6: \c2%brick.progress% \c6| \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickAdvancedPrinterData : brickRegularPrinterData)
{
	uiName = "Advanced Printer";

	baseRaidersCost = 400;
	baseRaidersForceColor = "61 89 171 255";
	baseRaidersStrengthMultiplier = 2;
	baseRaidersPrintTime = 15;
	baseRaidersPower = 4;
};

datablock fxDTSBrickData(brickPrintingPressData : brickRegularPrinterData)
{
	uiName = "Printing Press";

	baseRaidersCost = 4000;
	baseRaidersForceColor = "218 165 32 255";
	baseRaidersStrengthMultiplier = 2;
	baseRaidersPrintTime = 1.5;
	baseRaidersPower = 32;
};

datablock fxDTSBrickData(brickHealthBoxData)
{
	brickFile = "./healthBox.blb";
	category = "Base Raiders";
	subCategory = "Misc";
	uiName = "Health Box";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/healthBox";

	hasPrint = 1;
	printAspectRatio = "1x1f";

	baseRaidersBrickType = 3;
	baseRaidersCost = 320;
	baseRaidersForceColor = "249 249 249 255";
	baseRaidersStrengthMultiplier = 3;
	baseRaidersStorageSpace = 200;
	baseRaidersInfo = "\c3%data.uiName \c6| \c0Stored Health\c6: \c2%brick.healPointsLeft\c6/\c2%data.baseRaidersStorageSpace | \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickElectricHealthBoxData : brickHealthBoxData)
{
	uiName = "Electric Health Box";

	baseRaidersCost = 700; //$600 - $800
	baseRaidersStrengthMultiplier = 3;
	baseRaidersPower = 2;
	baseRaidersInfo = "\c3%data.uiName \c6| \c0Stored Health\c6: \c2%brick.healPointsLeft\c6/\c2%data.baseRaidersStorageSpace | \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickSmallStorageCrateData)
{
	brickFile = "./2x2Crate.blb";
	category = "Base Raiders";
	subCategory = "Misc";
	uiName = "Small Storage Crate";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/2x2Crate";

	baseRaidersBrickType = 4;
	baseRaidersCost = 50;
	baseRaidersForceColor = "116 81 29 255";
	baseRaidersStrengthMultiplier = 3;
	baseRaidersStorageSpace = 5;
	baseRaidersInfo = "\c3%data.uiName \c6| \c3Items Stored\c6: \c3%brick.itemsStored/%data.baseRaidersStorageSpace \c6| \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickLargeStorageCrateData : brickSmallStorageCrateData)
{
	brickFile = "./3x4Crate.blb";
	uiName = "Large Storage Crate";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/3x4Crate";

	baseRaidersCost = 175;
	baseRaidersStrengthMultiplier = 3;
	baseRaidersStorageSpace = 15;
	baseRaidersInfo = "\c3%data.uiName \c6| \c3Items Stored\c6: \c3%brick.itemsStored/%data.baseRaidersStorageSpace \c6| \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickSmallItemBarrelData)
{
	brickFile = "./BarrelThin.blb";
	category = "Base Raiders";
	subCategory = "Misc";
	uiName = "Small Item Barrel";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/2x2x9BarrelThin";
	collisionShapeName = "./BarrelThin.dts";

	hasPrint = 1;
	printAspectRatio = "1x1";

	baseRaidersBrickType = 5;
	baseRaidersCost = 50;
	baseRaidersStartColor = "101 90 78 255";
	baseRaidersForcePrint = "space";
	baseRaidersStrengthMultiplier = 2;
	baseRaidersStorageSpace = 5;
	baseRaidersInfo = "\c3%data.uiName \c6| \c3Item\c6: \c3%brick.itemBarrelItem \c6| \c3Items Stored\c6: \c3%brick.numItemBarrelItems/%data.baseRaidersStorageSpace \c6| \c2Progress\c6: \c2%brick.itemProgress% \c6| \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickLargeItemBarrelData : brickSmallItemBarrelData)
{
	brickFile = "./BarrelThick.blb";
	uiName = "Large Item Barrel";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/2x2x9BarrelThick";
	collisionShapeName = "./BarrelThick.dts";

	printAspectRatio = "1x2F";

	baseRaidersCost = 175;
	baseRaidersStrengthMultiplier = 2;
	baseRaidersStorageSpace = 15;
};

datablock fxDTSBrickData(brickBaseRaidersSafeData)
{
	brickFile = "./safe.blb";
	category = "Base Raiders";
	subCategory = "Misc";
	uiName = "Safe";
	iconName = "Add-Ons/GameMode_BaseRaiders/Bricks/safe";

	baseRaidersBrickType = 6;
	baseRaidersCost = 1000;
	baseRaidersStartColor = "101 90 78 255";
	baseRaidersStrengthMultiplier = 5;
	baseRaidersInfo = "\c3%data.uiName \c6| \c3Money Stored\c6: \c2$%brick.moneyStored \c6| \c2Health\c6:\c2 %brick.health";
};

datablock fxDTSBrickData(brickBaseRaiders16xSpawnZoneData : brick16xCubeData)
{
	category = "Base Raiders";
	subCategory = "Admin";
	uiName = "16x Spawn Zone";

	isWaterBrick = true;

	baseRaidersBrickType = 7;
	baseRaidersStartColor = "255 0 0 255";
	baseRaidersCost = 0;
};

datablock fxDTSBrickData(brickBaseRaiders12xSpawnZoneData)
{
	brickFile = "./12x Cube.blb";
	category = "Base Raiders";
	subCategory = "Admin";
	uiName = "12x Spawn Zone";
	iconName = "";

	isWaterBrick = true;

	baseRaidersBrickType = 7;
	baseRaidersStartColor = "255 0 0 255";
	baseRaidersCost = 0;
};

datablock fxDTSBrickData(brickBaseRaiders10xSpawnZoneData)
{
	brickFile = "./10x Cube.blb";
	category = "Base Raiders";
	subCategory = "Admin";
	uiName = "10x Spawn Zone";
	iconName = "";

	isWaterBrick = true;

	baseRaidersBrickType = 7;
	baseRaidersStartColor = "255 0 0 255";
	baseRaidersCost = 0;
};

datablock fxDTSBrickData(brickBaseRaiders8xSpawnZoneData : brick8xCubeData)
{
	category = "Base Raiders";
	subCategory = "Admin";
	uiName = "8x Spawn Zone";

	isWaterBrick = true;

	baseRaidersBrickType = 7;
	baseRaidersStartColor = "255 0 0 255";
	baseRaidersCost = 0;
};

datablock fxDTSBrickData(brickBaseRaiders4xSpawnZoneData : brick4xCubeData)
{
	category = "Base Raiders";
	subCategory = "Admin";
	uiName = "4x Spawn Zone";

	isWaterBrick = true;

	baseRaidersBrickType = 7;
	baseRaidersStartColor = "255 0 0 255";
	baseRaidersCost = 0;
};

datablock fxDTSBrickData(brickBaseRaiders4xTallSpawnZoneData)
{
	brickFile = "./4x CubeTall.blb";
	category = "Base Raiders";
	subCategory = "Admin";
	uiName = "4x Tall Spawn Zone";
	iconName = "";

	isWaterBrick = true;

	baseRaidersBrickType = 7;
	baseRaidersStartColor = "255 0 0 255";
	baseRaidersCost = 0;
};

datablock triggerData(baseRaidersSpawnTriggerData)
{
	tickPeroidMS = 150;
};

function baseRaidersSpawnTriggerData::onEnterTrigger(%data, %trigger, %obj)
{
	if(%obj.getClassName() !$= "Player" || !isObject(%client = %obj.client) || !%mini = %client.isInBaseRaidersMini())
	{
		return;
	}

	%obj.potentialInvincible++;

	if(%obj.hasDamagedSomeone)
	{
		return;
	}

	%obj.isInvincible++;
}

function baseRaidersSpawnTriggerData::onLeaveTrigger(%data, %trigger, %obj)
{
	if(%obj.getClassName() !$= "Player" || !isObject(%client = %obj.client) || !%mini = %client.isInBaseRaidersMini())
	{
		return;
	}

	%obj.potentialInvincible--;

	if(%obj.hasDamagedSomeone)
	{
		return;
	}

	%obj.isInvincible--;
}

datablock triggerData(baseRaidersDoorTriggerData)
{
	tickPeroidMS = 50;
};

function baseRaidersDoorTriggerData::onEnterTrigger(%data, %trigger, %obj)
{
	if(%obj.getClassName() !$= "Player" && %obj.getClassName() !$= "AIPlayer")
	{
		return;
	}

	if(%obj.getClassName() $= "Player" && !isObject(%client = %obj.client))
	{
		return;
	}

	if(!isObject(%client))
	{
		%client = isObject(%obj.sentryOwner) ? %obj.sentryOwner : %obj.spawnBrick.getGroup().client;

		if(!isObejct(%client))
		{
			return;
		}
	}

	if(!%mini = %client.isInBaseRaidersMini() || %mini != getMiniGameFromObject(%trigger.brick))
	{
		return;
	}

	%trigger.numPlayersIn++;
}

function baseRaidersDoorTriggerData::onLeaveTrigger(%data, %trigger, %obj)
{
	if(%obj.getClassName() !$= "Player" && %obj.getClassName() !$= "AIPlayer")
	{
		return;
	}

	if(%obj.getClassName() $= "Player" && !isObject(%client = %obj.client))
	{
		return;
	}

	if(!isObject(%client))
	{
		%client = isObject(%obj.sentryOwner) ? %obj.sentryOwner : %obj.spawnBrick.getGroup().client;

		if(!isObejct(%client))
		{
			return;
		}
	}

	if(!%mini = %client.isInBaseRaidersMini() || %mini != getMiniGameFromObject(%trigger.brick))
	{
		return;
	}

	%trigger.numPlayersIn--;

	if(!%trigger.numPlayersIn && %trigger.closeASAP)
	{
		%trigger.brick.disappear(0);
		%trigger.delete();
	}
}

datablock audioProfile(MoneyPrintSound)
{
	filename = "Add-Ons/GameMode_BaseRaiders/MoneyPrint.wav";
	description = AudioClosest3D;
	preload = true;
};

datablock audioProfile(ManualMoneyPrintSound)
{
	filename = "Add-Ons/GameMode_BaseRaiders/ManualPrint.wav";
	description = AudioClosest3D;
	preload = true;
};

function fxDTSBrick::getBaseRaidersPrintProgress(%brick)
{
	if(!isObject(%data = %brick.getDataBlock()) || %data.baseRaidersBrickType != 2 || !%data.baseRaidersPrintTime)
	{
		return 0;
	}

	if(!%data.baseRaidersPower && !isEventPending(%brick.nextMoneyPrint))
	{
		%prog = minClamp(%brick.tempMoneyPrint, 0) / (%data.baseRaidersPrintTime * 1000);
	}

	else
	{
		%prog = getTimeRemaining(%brick.nextMoneyPrint) / (%data.baseRaidersPrintTime * 1000);
	}

	%prog *= 100;
	%prog = mRound(%prog);
	%prog = 100 - %prog;

	return %prog;
}

function fxDTSBrick::baseRaidersPrintMoney(%brick)
{
	//This loop prints the moneh.

	cancel(%brick.nextMoneyPrint);

	%data = %brick.getDataBlock();
	%pos = %brick.getPosition();

	switch(%brick.getAngleID())
	{
		case 1:
			%add = "0.2 2";
			%rot = "0 0 -1 90";

		case 2:
			%add = "2 -0.2";
			%rot = "1 0 0 0";

		case 3:
			%add = "-0.2 -2";
			%rot = "0 0 1 90";

		default: //0
			%add = "-2 0.2";
			%rot = "0 0 1 180";
	}

	%pos = vectorAdd(%pos, %add SPC "0.3");

	%item = new item()
	{
		collideable = false;
		datablock = BaseRaidersCashItem;
		position = %pos;
		rotate = false;
		rotation = %rot;
		scale = "1 1 1";
		static = false;

		canPickUp = false;

		minigame = getMiniGameFromObject(%brick);

		value = 5;
		displayMsg = false;
	};

	missionCleanup.add(%item);

	%item.setShapeName("$" @ %item.value);
	%item.baseRaidersMoneySched = %item.schedule($BaseRaiders::MoneyCombineTime, BaseRaidersMoneyTick);

	if(isObject(%data.baseRaidersPrintSound) && %data.baseRaidersPrintSound.getClassName() $= "audioProfile")
	{
		%brick.playSound(%data.baseRaidersPrintSound);
	}

	%brick.nextMoneyPrint = %brick.schedule(%data.baseRaidersPrintTime * 1000, baseRaidersPrintMoney);
}

function fxDTSBrick::baseRaidersTempPowerTick(%brick)
{
	cancel(%brick.nextTempPowerTick);

	%data = %brick.getDataBlock();

	if(%data.baseRaidersBrickType != 2 || %data.baseRaidersPower || !%brick.tempPower)
	{
		return;
	}

	%brick.tempPower = mClampF(%brick.tempPower - $BaseRaiders::TempPowerMultiplier, 0, %data.baseRaidersMaxTempPower);

	if(!%brick.tempPower)
	{
		%brick.tempMoneyPrint = getTimeRemaining(%brick.nextMoneyPrint);
		cancel(%brick.nextMoneyPrint);

		return;
	}

	%brick.nextTempPowerTick = %brick.schedule(%data.baseRaidersTempPowerDrainTime * 1000, baseRaidersTempPowerTick);
}

function fxDTSBrick::regainHealPoints(%brick)
{
	cancel(%brick.healPointTick);

	%data = %brick.getDataBlock();

	if(%brick.healPointsLeft >= %data.baseRaidersStorageSpace)
	{
		return;
	}

	%brick.healPointsLeft = mClampF(%brick.healPointsLeft + $BaseRaiders::HealAmount, 0, %data.baseRaidersStorageSpace);

	%brick.healPointTick = %brick.schedule($BaseRaiders::RegainHealPointsTime, regainHealPoints);
}

function fxDTSBrick::getBaseRaidersItemBarrelProgress(%brick)
{
	if(!isObject(%data = %brick.getDataBlock()) || %data.baseRaidersBrickType != 5 || !isObject(%brick.itemBarrelItem))
	{
		return 0;
	}

	if(!isEventPending(%brick.itemBarrelTick))
	{
		return 100;
	}

	%prog = getTimeRemaining(%brick.itemBarrelTick) / (%brick.itemBarrelItem.getBaseRaidersCost(%brick.getGroup().client, 1) * $BaseRaiders::ItemBarrelTimeMultiplier);

	%prog *= 100;
	%prog = mRound(%prog);
	%prog = 100 - %prog;

	return %prog;
}

function fxDTSBrick::baseRaidersItemBarrelTick(%brick)
{
	cancel(%brick.itemBarrelTick);

	%data = %brick.getDataBlock();

	if(!isObject(%brick.itemBarrelItem) || %brick.numItemBarrelItems >= %data.baseRaidersStorageSpace - %brick.numItemBarrelItemsTaken)
	{
		return;
	}

	%brick.numItemBarrelItems++;

	if(%brick.numItemBarrelItems < %data.baseRaidersStorageSpace)
	{
		%brick.itemBarrelTick = %brick.schedule(%brick.itemBarrelItem.getBaseRaidersCost(%brick.getGroup().client, 1) * $BaseRaiders::ItemBarrelTimeMultiplier, baseRaidersItemBarrelTick);
	}
}

function fxDTSBrick::baseRaidersDoorTick(%brick)
{
	if(!isObject(%brick.trigger))
	{
		%brick.disappear(0);

		return;
	}

	if(!%brick.trigger.numPlayersIn)
	{
		%brick.disappear(0);

		%brick.trigger.delete();
	}

	else
	{
		%brick.trigger.closeASAP = true;
	}
}

function serverCmdRepo(%client)
{
	if(!%mini = %client.isInBaseRaidersMini())
	{
		messageClient(%client, '', "You must be in a \c6Base Raiders\c0 minigame to use this command.");

		return;
	}

	if(!isObject(%player = %client.player))
	{
		return;
	}

	if(%mini.phase && !%mini.baseRaidersRepoDuringFight)
	{
		commandToClient(%client, 'centerPrint', "You cannot repo during the \c6FIGHTING\c0 phase.", 2);

		return;
	}

	if(%mini.baseRaidersMinRepoRank && %client.getGangRank() != -1 && %client.getGangRank() < %mini.baseRaidesMinRepoRank)
	{
		%msg = %client.getGangRank() >= 3 ? "the gang \c6Owner\c0" : "\c6" SPC getGangRankName(%client.getGangRank(), 0) @ "s\c0 and above!";

		commandToClient(%client, 'centerPrint', "Only" SPC %msg SPC "can use this command!", 2);

		return;
	}

	%start = %player.getEyePoint();
	%end = vectorAdd(%start, vectorScale(%player.getEyeVector(), $BaseRaiders::InfoDist));
	%ray = containerRaycast(%start, %end, $TypeMasks::FxBrickAlwaysObjectType | $TypeMasks::TerrainObjectType | $TypeMasks::WaterObjectType | $TypeMasks::PlayerObjectType, %player);

	%obj = firstWord(%ray);
	%pos = getWords(%ray, 1, 3);
	%norm = getWords(%ray, 4, 7);

	if(isObject(%obj) && isFunction(%obj.getClassName(), "getDataBlock") && isObject(%data = %obj.getDataBlock()) && %obj.getClassName() $= "AIPlayer" && %obj.isSentry())
	{
		if(%client.gangBricks != %obj.team.gangBricks)
		{
			commandToClient(%client, 'centerPrint', "This sentry is apart of the\c6" SPC %obj.team.gangBricks.name SPC "\c0gang!", 2);

			return;
		}

		%top = isObject(%obj.sentryTop) ? %obj.sentryTop : %obj;
		%costData = "PlaceSentry" @ %top.sentryKit @ "Item";

		if(!isObject(%costData))
		{
			%costData = PlaceSentryItem;

			if(%top.sentryKit !$= "Default")
			{
				%displayName = "Sentry";
			}
		}

		if(%displayName $= "")
		{
			%displayName = %costData.uiName;
		}

		%num = %mini.baseRaidersRepoPercent / 100;
		%num *= minClamp(%costData.getBaseRaidersCost(%client, 1), 0);
		%num = mRound(%num);

		serverPlay3D(brickBreakSound, %obj.getPosition());

		if(isObject(%obj.sentryTop))
		{
			%obj.sentryTop.delete();
		}

		if(isObject(%obj.sentryBottom))
		{
			%obj.sentryBottom.delete();
		}

		%obj.delete();

		%client.incScore(%num);

		messageClient(%client, '', "You got \c6$" @ %num SPC "\c0for repoing this\c6" SPC %displayName @ "\c0.");

		return;
	}

	%start = %player.getEyePoint();
	%end = vectorAdd(%start, vectorScale(%player.getEyeVector(), $BaseRaiders::InfoDist));
	%ray = containerRaycast(%start, %end, $TypeMasks::FxBrickAlwaysObjectType | $TypeMasks::TerrainObjectType | $TypeMasks::WaterObjectType, %player);

	%obj = firstWord(%ray);
	%pos = getWords(%ray, 1, 3);
	%norm = getWords(%ray, 4, 7);

	if(!isObject(%obj) || !isFunction(%obj.getClassName(), "getDataBlock") || !isObject(%data = %obj.getDataBlock()) || %obj.getClassName() !$= "fxDTSBrick" || %obj.isNotActuallyPlanted || (isObject(%client.gangBricks) && %obj.getGroup() != %client.gangBricks) || (!isObject(%client.gangBricks) && %obj.getGroup().bl_id != %client.getBLID()))
	{
		%var = isObject(%client.gangBricks) ? "gang's " : "";
		commandToClient(%client, 'centerPrint', "You must be looking at one of your" SPC %var @ "bricks to use this command. ", 2);

		return;
	}

	if(%data.baseRaidersBrickType !$= "" && %data.baseRaidersBrickType != 1)
	{
		%num = %mini.baseRaidersRepoPercent / 100;
		%num *= %obj.getBaseRaidersCost();
		%num = mRound(%num);
		%num = minClamp(%num, 0);

		%client.incScore(%num);

		messageClient(%client, '', "You got \c6$" @ %num SPC "\c0for repoing this\c6" SPC %data.uiName @ "\c0.");
	}

	%obj.playSound(brickBreakSound);
	%obj.onDeath();
	%obj.delete();
}

function fxDTSBrick::getBaseRaidersCost(%brick)
{
	%mini = getMiniGameFromObject(%brick);
	%data = %brick.getDataBlock();

	if(%mini.baseRaidersCost[strReplace(%data.uiName, " ", "")] !$= "")
	{
		return %mini.BaseRaidersCost[strReplace(%data.uiName, " ", "")];
	}

	if($BaseRaiders::BrickCost_[%data.getName()] !$= "")
	{
		return $BaseRaiders::BrickCost_[%data.getName()];
	}

	if(%data.baseRaidersCost !$= "")
	{
		return %data.baseRaidersCost;
	}

	return minClamp(mRound(((%data.brickSizeX + %data.brickSizeY + %data.brickSizeZ) / 3) * minClamp(%data.BaseRaidersStrengthMultiplier, 1)), 1);
}

function serverCmdBaseRaiders_getBrickBuyInfo(%client, %brickData)
{
	if(!isObject(%brickData) || %brickData.getClassName() !$= "fxDTSBrickData")
	{
		commandToClient(%client, 'BaseRaiders_recieveBrickBuyInfo', "-1");

		return;
	}

	if(!%mini = %client.isInBaseRaidersMini())
	{
		commandToClient(%client, 'BaseRaiders_recieveBrickBuyInfo', "-1");

		return;
	}

	if(%mini.BaseRaidersCost[strReplace(%brickData.uiName, " ", "")] !$= "")
	{
		%cost = %mini.BaseRaidersCost[strReplace(%brickData.uiName, " ", "")];
	}

	else if($BaseRaiders::BrickCost_[%brickData.getName()] !$= "")
	{
		%cost = $BaseRaiders::BrickCost_[%brickData.getName()];
	}

	else if(%brickData.baseRaidersCost !$= "")
	{
		%cost = %brickData.baseRaidersCost;
	}

	else
	{
		%cost = minClamp(mRound(((%brickData.brickSizeX + %brickData.brickSizeY + %brickData.brickSizeZ) / 3) * minClamp(%brickData.BaseRaidersStrengthMultiplier, 1)), 1);
	}

	%info = "uiName|" @ %brickData.uiName;

	if(%brickData.baseRaidersForceColor !$= "")
	{
		if(getWordCount(%brickData.baseRaidersForceColor) == 1)
		{
			%color = getColorIDTable(%brickData.baseRaidersForceColor);
		}

		else
		{
			%color = getColorIDTable(BaseRaiders_findClosestColor(%brickData.baseRaidersForceColor));
		}

		%info = %info TAB "Color|" @ %color;
	}

	else if(%brickData.baseRaidersStartColor !$= "")
	{
		if(getWordCount(%brickData.baseRaidersStartColor) == 1)
		{
			%color = getColorIDTable(%brickData.baseRaidersStartColor);
		}

		else
		{
			%color = getColorIDTable(BaseRaiders_findClosestColor(%brickData.baseRaidersStartColor));
		}

		%info = %info TAB "Color|" @ %color;
	}

	%info = %info TAB "Cost|" @ %cost;
	%info = %info TAB "Strength Multiplier|" @ minClamp(%brickData.baseRaidersStrengthMultiplier, 1);

	if(%brickData.baseRaidersPower)
	{
		%info = %info TAB "Power|" @ minClamp(%brickData.baseRaidersPower, 1);
	}

	if(%brickData.baseRaidersTempPowerDrainTime)
	{
		%info = %info TAB "Power Drain Time|" @ %brickData.baseRaidersTempPowerDrainTime;
	}

	if(%brickData.baseRaidersPrintTime)
	{
		%info = %info TAB "Print Time|" @ %brickData.baseRaidersPrintTime;
	}

	if(%brickData.baseRaidersStorageSpace)
	{
		%info = %info TAB "Storage Space|" @ %brickData.baseRaidersStorageSpace;
	}

	commandToClient(%client, 'BaseRaiders_recieveBrickBuyInfo', %info);
}

function fxDTSBrick::getBaseRaidersHealth(%brick)
{
	if(%brick.getGroup().bl_id == 888888)
	{
		return -1;
	}

	if(%brick.health $= "")
	{
		%brick.health = 100;
	}

	return %brick.health;
}

function fxDTSBrick::baseRaiders_damage(%brick, %damage, %client)
{
	if(%damage <= 0)
	{
		return;
	}

	if(isObject(%client))
	{
		if(!%mini = %client.isInBaseRaidersMini())
		{
			return;
		}

		if(!miniGameCanUse(%client, %brick))
		{
			return;
		}
	}

	else
	{
		if(!isObject(%mini = getMiniGameFromObject(%brick)) || !isObject(%mini.gameMode) || !%mini.gameMode.class !$= "BaseRaiders")
		{
			return;
		}
	}

	%group = %brick.getGroup();

	if(%group.bl_id == 888888 || (isObject(%client) && %group.bl_id == %client.getBLID() || %group == %client.gangBricks))
	{
		return;
	}

	if(!%mini.phase)
	{
		return;
	}

	%data = %brick.getDataBlock();

	if(%data.isBaseRaidersInvincible || %brick.isBaseRaidersInvincible)
	{
		return;
	}

	if(%brick.getBaseRaidersHealth() - %damage <= 0)
	{
		if(%brick.getBaseRaidersCost() && isObject(%client))
		{
			if(%data.getName() $= "brickHealthBoxData")
			{
				%percent = %brick.healPointsLeft / %data.baseRaidersStorageSpace;
				%percent *= 100;
				%percent = mClampF(%percent, 20, %mini.baseRaidersDestroyPercent);

				%money = %percent / 100;
				%money *= %brick.getBaseRaidersCost();
				%money = mRound(%money);
			}

			else if(%data.baseRaidersBrickType !$= "" && %data.baseRaidersBrickType != 1)
			{
				%money = $BaseRaiders::DestroyPercent / 100;
				%money *= %brick.getBaseRaidersCost();
				%money = mRound(%money);
			}

			if(%money)
			{
				%client.incScore(%money);

				messageClient(%client, '', "You got \c6$" @ %money SPC "\c0for destroying this\c6" SPC %data.uiName @ "\c0.");
			}
		}

		%brick.playSound(brickBreakSound);
		%brick.onDeath();
		%brick.delete();
	}

	else
	{
		%brick.health = %brick.getBaseRaidersHealth() - %damage;
	}
}

function fxDTSBrick::getBaseRaidersInfo(%brick)
{
	if(%brick.getGroup().bl_id == 888888)
	{
		return -1;
	}

	%data = %brick.getDataBlock();

	if(%data.baseRaidersBrickType == 7)
	{
		return -1;
	}

	%msg = %data.baseRaidersInfo;

	if(%msg $= "")
	{
		%msg = "\c3%data.uiName \c6| \c0Strength Multiplier\c6: %data.baseRaidersStrengthMultiplier | \c2Health\c6:\c2 %brick.health";
	}

	%msg = strReplace(%msg, "%data.uiName", %data.uiName);

	%msg = strReplace(%msg, "%data.baseRaidersStrengthMultiplier", minClamp(%data.baseRaidersStrengthMultiplier, 1));
	%msg = strReplace(%msg, "%data.baseRaidersStorageSpace", minClamp(%data.baseRaidersStorageSpace, 0));

	%msg = strReplace(%msg, "%brick.progress", mClampF(%brick.getBaseRaidersPrintProgress(), 0, 100));
	%msg = strReplace(%msg, "%brick.tempPower", minClamp(%brick.tempPower, 0));

	%health = minClamp(mRound(%brick.getBaseRaidersHealth()), 1);
	%damage = 100 - %health;

	if(%damage <= 24)
	{
		%healthColor = "\c2";
	}

	if(%damage >= 25 && %damage <= 49)
	{
		%healthColor = "\c3";
	}

	if(%damage >= 50 && %damage <= 74)
	{
		%healthColor = "<color:FF7F00>";
	}

	if(%damage >= 75)
	{
		%healthColor = "\c0";
	}

	%msg = strReplace(%msg, "%brick.health", %healthColor @ %health);
	%msg = strReplace(%msg, "%brick.itemsStored", getWordCount(%brick.itemsStored));
	%msg = strReplace(%msg, "%brick.moneyStored", minClamp(%brick.moneyStored, 0));
	%msg = strReplace(%msg, "%brick.healPointsLeft", minClamp(%brick.healPointsLeft, 0));
	%var = isObject(%brick.itemBarrelItem) ? %brick.itemBarrelItem.uiName : "\c7NONE";
	%msg = strReplace(%msg, "%brick.itemBarrelItem", %var);
	%msg = strReplace(%msg, "%brick.numItemBarrelItems", minClamp(%brick.numItemBarrelItems, 0));
	%msg = strReplace(%msg, "%brick.itemProgress", minClamp(%brick.getBaseRaidersItemBarrelProgress(), 0));

	return %msg;
}

package BaseRaiders_Bricks
{
	function fxDTSBrickData::onTrustCheckFinished(%data, %brick)
	{
		parent::onTrustCheckFinished(%data, %brick);

		if(isObject(%brick.client))
		{
			%client = %brick.client;
		}

		else if(isObject(%brick.getGroup().client))
		{
			%client = %brick.getGroup().client;
		}

		else if(isObject(findClientByBL_ID(%brick.getGroup().bl_id)))
		{
			%client = findClientByBL_ID(%brick.getGroup().bl_id);
		}

		if(!isObject(%client) || !isObject(%player = %client.player))
		{
			return;
		}

		if(%data.category $= "Base Raiders" && %data.subCategory $= "Admin" && !%client.isAdmin)
		{
			commandToClient(%client, 'centerPrint', "You must be an \c6Admin\c0 to plant this brick.", 2);
			%brick.isNotActuallyPlanted = true;
			%brick.trustCheckFailed();

			return;
		}

		if(%data.baseRaidersRaycasting !$= "")
		{
			%brick.schedule(350, setRaycasting, %data.baseRaidersRaycasting);
		}

		if(%data.baseRaidersColliding !$= "")
		{
			%brick.schedule(350, setColliding, %data.baseRaidersColliding);
		}

		if(%data.baseRaidersRendering !$= "")
		{
			%brick.schedule(350, setRendering, %data.baseRaidersRendering);
		}

		if(%data.baseRaidersForceColor !$= "")
		{
			%var = getWordCount(%data.baseRaidersForceColor) >= 2 ? BaseRaiders_findClosestColor(%data.baseRaidersForceColor) : %data.baseRaidersForceColor;

			%brick.schedule(350, setColor, %var);
		}

		else if(%data.baseRaidersStartColor !$= "")
		{
			%var = getWordCount(%data.baseRaidersStartColor) >= 2 ? BaseRaiders_findClosestColor(%data.baseRaidersStartColor) : %data.baseRaidersStartColor;

			%brick.schedule(350, setColor, %var);
		}

		else if(%data.baseRaidersBrickType == 1 || (%data.baseRaidersBrickType $= "" && %client.isInBaseRaidersMini()))
		{
			%brick.schedule(350, setColor, BaseRaiders_findClosestColor("101 90 78 255"));
		}

		if(%data.baseRaidersForcePrint !$= "")
		{
			%brick.schedule(350, setPrintByName, %data.baseRaidersForcePrint);
		}

		else if(%data.baseRaidersStartPrint !$= "")
		{
			%brick.schedule(350, setPrintByName, %data.baseRaidersStartPrint);
		}

		if(!%mini = %client.isInBaseRaidersMini())
		{
			return;
		}

		%cost = %brick.getBaseRaidersCost();

		if(%cost == -1)
		{
			commandToClient(%client, 'centerPrint', "This brick is \c6RESTRICTED\c0 in this gamemode.", 2);
			%brick.isNotActuallyPlanted = true;
			%brick.trustCheckFailed();

			return;
		}

		if(%mini.phase)
		{
			if(!%mini.BaseRaidersNonBarricadesDuringFight)
			{
				commandToClient(%client, 'centerPrint', "You can't plant bricks during the \c6Fight Phase\c0.", 2);
				%brick.isNotActuallyPlanted = true;
				%brick.trustCheckFailed();

				return;
			}

			else if(%data.baseRaidersBrickType == 1 || %data.baseRaidersBrickType $= "")
			{
				commandToClient(%client, 'centerPrint', "You can only plant \c6Non-Barricades\c0 during the \c6Fight Phase\c0.", 2);
				%brick.isNotActuallyPlanted = true;
				%brick.trustCheckFailed();

				return;
			}
		}

		if(%cost >= 1 && %client.getScore() < %cost)
		{
			//Putting this here because we want this message to be of higher priority than the not enough power message.

			commandToClient(%client, 'centerPrint', "You need \c6$" @ %cost SPC "\c0to plant this brick.", 2);
			%brick.isNotActuallyPlanted = true;
			%brick.trustCheckFailed();

			return;
		}

		%minBox = getWords(%brick.getWorldBox(), 0, 2);
		%minX = firstWord(%minBox);
		%minY = getWord(%minBox, 1);
		%minZ = getWord(%minBox, 2);

		%maxBox = getWords(%brick.getWorldBox(), 3, 5);
		%maxX = firstWord(%maxBox);
		%maxY = getWord(%maxBox, 1);
		%maxZ = getWord(%maxBox, 2);

		if(!$BaseRaiders::CanPlantBricksOnGroundPlane && %minZ <= 0)
		{
			messageClient(%client, 'MsgPlantError_Float', "");
			%brick.isNotActuallyPlanted = true;
			%brick.trustCheckFailed();

			return;
		}

		if(%mini.baseRaidersMaxBuildHeight && %maxZ > 0.2 * %mini.baseRaidersMaxBuildHeight)
		{
			messageClient(%client, 'MsgPlantError_TooFar', "");
			%brick.isNotActuallyPlanted = true;
			%brick.trustCheckFailed();

			return;
		}

		if(!%mini.baseRaidersCanPlantBricksOnPlayers && (%data.baseRaidersColliding $= "" || %data.baseRaidersColliding == 1))
		{
			%center = %brick.getPosition();

			%box = vectorSub(%maxBox, %minBox);
			%box = vectorSub(%box, "0.1 0.1 0.1");

			initContainerBoxSearch(%center, %box, $TypeMasks::PlayerObjectType | $TypeMasks::FxBrickAlwaysObjectType);

			while(isObject(%obj = containerSearchNext()))
			{
				

				if(%obj == %brick || ($BaseRaiders::CanPlantBricksOnSelf && %obj == %player))
				{
					continue;
				}

				if(%obj.getClassName() $= "fxDTSBrick")
				{
					if(%obj.getGroup() != %brick.getGroup() && %obj.getDataBlock().baseRaidersBrickType == 7)
					{
						messageClient(%client, 'MsgPlantError_Overlap', "");
						%brick.isNotActuallyPlanted = true;
						%brick.trustCheckFailed();

						return;
					}

					continue;
				}

				if(%obj.getState() $= "Dead" || (%obj.getClassName() $= "AIPlayer" && !%obj.isSentry()))
				{
					continue;
				}

				%scale = %obj.isCrouching ? vectorScale("1.4 1.4 1.16", %obj.getScale()) : vectorScale("1.4 1.4 2.9", %obj.getScale());
				%scaleX = firstWord(%scale);
				%scaleY = getWord(%scale, 1);
				%scaleZ = getWord(%scale, 2);

				%objPos = %obj.getPosition();
				%x = firstWord(%objPos);
				%y = getWord(%objPos, 1);
				%z = getWord(%objPos, 2);

				if(%x + (%scaleX / 2) < %minX || %x - (%scaleX / 2) > %maxX)
				{
					continue;
				}

				if(%y + (%scaleY / 2) < %minY || %y - (%scaleY / 2) > %maxY)
				{
					continue;
				}

				if(%z + %scaleZ < %minZ || %z > %maxZ)
				{
					continue;
				}

				messageClient(%client, 'MsgPlantError_Stuck', "");
				%brick.isNotActuallyPlanted = true;
				%brick.trustCheckFailed();

				return;
			}
		}

		if(mRound(%data.baseRaidersPower))
		{
			if(%mini.usedCityPower + mRound(%data.baseRaidersPower) <= %mini.baseRaidersPowerMultiplier * %mini.numMembers)
			{
				%mini.usedCityPower += mRound(%data.baseRaidersPower);
			}

			else
			{
				commandToClient(%client, 'centerPrint', "There must be at least\c6" SPC mRound(%data.baseRaidersPower) SPC "\c0available city power to plant this brick.", 2);
				%brick.isNotActuallyPlanted = true;
				%brick.trustCheckFailed();

				return;
			}
		}

		if(%cost >= 1 && %client.getScore() >= %cost)
		{
			%client.incScore(-1 * %cost);
		}

		if(%data.baseRaidersBrickType == 2 && %data.baseRaidersPower)
		{
			%brick.nextMoneyPrint = %brick.schedule(%data.baseRaidersPrintTime * 1000, BaseRaidersPrintMoney);
		}

		if(%data.baseRaidersBrickType == 3)
		{
			%brick.healPointsLeft = %data.baseRaidersStorageSpace;
		}

		if(%data.baseRaidersBrickType == 7)
		{
			%brick.createBaseRaidersTrigger(baseRaidersSpawnTriggerData);
		}

		%brick.originalPlanter = %client.getPlayerName() TAB %client.getBLID();
	}

	function fxDTSBrick::onLoadPlant(%brick)
	{
		parent::onLoadPlant(%brick);

		if(!isObject(%brick) || !isObject(%data = %brick.getDataBlock()))
		{
			return;
		}

		if(%data.baseRaidersBrickType == 7)
		{
			%brick.createBaseRaidersTrigger(baseRaidersSpawnTriggerData);
		}
	}

	function fxDTSBrick::onDeath(%brick)
	{
		parent::onDeath(%brick);

		%data = %brick.getDataBlock();

		if(%data.baseRaidersBrickType == 7 && isObject(%brick.trigger))
		{
			%brick.trigger.delete();
		}

		if(!%brick.isPlanted || %brick.isNotActuallyPlanted || !isObject(%mini = getMiniGameFromObject(%brick)) || !isObject(%mini.gameMode) || %mini.gameMode.class !$= "BaseRaiders" || !%data.baseRaidersPower)
		{
			return;
		}

		%mini.usedCityPower = minClamp(%mini.usedCityPower - %data.baseRaidersPower, 0);
		%brick.hasReducedPower = true;
	}

	function fxDTSBrick::onRemove(%brick)
	{
		parent::onRemove(%brick);

		%data = %brick.getDataBlock();

		if(%data.baseRaidersBrickType == 7 && isObject(%brick.trigger))
		{
			%brick.trigger.delete();
		}

		if(!%brick.isPlanted || %brick.hasReducedPower || !isObject(%mini = getMiniGameFromObject(%brick)) || !isObject(%mini.gameMode) || %mini.gameMode.class !$= "BaseRaiders" || !%data.baseRaidersPower)
		{
			return;
		}

		//%mini.usedCityPower = minClamp(%mini.usedCityPower - %data.baseRaidersPower, 0);
	}

	function fxDTSBrick::onActivate(%brick, %player, %client, %pos, %vec)
	{
		parent::onActivate(%brick, %player, %client, %pos, %vec);

		if(!isObject(%client) || !%mini = %client.isInBaseRaidersMini())
		{
			return;
		}

		%data = %brick.getDataBlock();

		if((%data.baseRaidersBrickType == 1 || %data.baseRaidersBrickType $= "") && %brick.isBaseRaidersDoor) //Barricade that's been made into a door.
		{
			if((isObject(%client.gangBricks) && %client.gangBricks == %brick.getGroup()) || (!isObject(%client.gangBricks) && %client.brickGroup == %brick.getGroup()))
			{
				%brick.createBaseRaidersTrigger(baseRaidersDoorTriggerData);
				%brick.disappear(-1);

				%brick.schedule(%brick.baseRaidersDoorTime, baseRaidersDoorTick);
			}
		}

		else if(%data.baseRaidersBrickType == 2 && %data.baseRaidersPower <= 0 && $Sim::Time - %brick.lastActivate >= 0.35) //Printer that takes no power.
		{
			if(%brick.tempPower + $BaseRaiders::TempPowerMultiplier <= %data.baseRaidersMaxTempPower)
			{
				%brick.tempPower += $BaseRaiders::TempPowerMultiplier;

				if(%brick.tempPower == $BaseRaiders::TempPowerMultiplier)
				{
					%var = %brick.tempMoneyPrint $= "" ? %data.baseRaidersPrintTime * 1000: %brick.tempMoneyPrint;

					%brick.nextMoneyPrint = %brick.schedule(%var, BaseRaidersPrintMoney);
					%brick.nextTempPowerTick = %brick.schedule(%data.baseRaidersTempPowerDrainTime * 1000, BaseRaidersTempPowerTick);
				}

				%brick.tempMoneyPrint = "";
			}

			%brick.lastActivate = $Sim::Time;
		}

		else if(%data.baseRaidersBrickType == 3 && $Sim::Time - %brick.lastActivate >= 0.35) //Health box.
		{
			if(%brick.healPointsLeft)
			{
				if(%player.getDamageLevel())
				{
					%amount = %brick.healPointsLeft < $BaseRaiders::HealAmount ? %brick.healPointsLeft : $BaseRaiders::HealAmount;
					%amount = %amount >= %player.getDamageLevel() ? %player.getDamageLevel() : %amount;

					%player.emote(HealImage, 1);
					%player.setWhiteout(0.2);
					%player.addHealth(%amount);

					%brick.healPointsLeft -= %amount;

					if(%data.baseRaidersPower)
					{
						cancel(%brick.healPointTick);
						%brick.healPointTick = %brick.schedule($BaseRaiders::RegainHealPointsTime, regainHealPoints);
					}

					else if(!%brick.healPointsLeft)
					{
						commandToClient(%client, 'centerPrint', "This health box ran out of health!", 2);

						if(!%data.baseRaidersPower)
						{
							%brick.playSound(brickBreakSound);
							%brick.onDeath();
							%brick.delete();

							return;
						}
					}
				}
			}

			else
			{
				commandToClient(%client, 'centerPrint', "This health box ran out of health!", 2);

				if(!%data.baseRaidersPower)
				{
					%brick.playSound(brickBreakSound);
					%brick.onDeath();
					%brick.delete();

					return;
				}
			}

			%brick.lastActivate = $Sim::Time;
		}

		else if(%data.baseRaidersBrickType == 4) //Storage Crate
		{
			if(getWordCount(%brick.storedItems)) //At least 1 item in it.
			{
				for(%i = 0; %i < getWordCount(%brick.storedItems); %i++)
				{
					messageClient(%client, '', "\c3" @ %i @ ".\c6" SPC getWord(%brick.storedItems, %i).uiName);
				}
			}

			else
			{
				commandToClient(%client, 'centerPrint', "There are no items in this storage crate!", 2);
			}
		}

		else if(%data.baseRaidersBrickType == 5) //Item barrel
		{
			if(isObject(%brick.itemBarrelItem))
			{
				if(%brick.numItemBarrelItems >= 1)
				{
					for(%i = 0; %i < %player.getDataBlock().maxTools; %i++)
					{
						if(!isObject(%player.tool[%i]))
						{
							%freeSlot = %i;
							break;
						}
					}

					if(%freeSlot $= "")
					{
						commandToClient(%client, 'centerPrint', "Inventory FULL.", 2);
					}

					else
					{
						messageClient(%client, 'MsgItemPickup', '', %freeSlot, %brick.itemBarrelItem, 1);
						%player.tool[%freeSlot] = %brick.itemBarrelItem;
						%player.weaponCount++;

						%brick.numItemBarrelItems--;
						%brick.numItemBarrelItemsTaken++;
					}
				}

				if(%brick.numItemBarrelItems < 1 && !isEventPending(%brick.itemBarrelTick))
				{
					%brick.itemBarrelItem = -1;
				}
			}
		}
	}

	function fxDTSBrick::setColor(%brick, %colorID)
	{
		%data = %brick.getDataBlock();

		if(%brick.baseRaidersForceColor !$= "")
		{
			%colorID = getWordCount(%brick.baseRaidersForceColor) >= 2 ? BaseRaiders_findClosestColor(%brick.baseRaidersForceColor) : %brick.baseRaidersForceColor;
		}

		else if(%data.baseRaidersForceColor !$= "")
		{
			%colorID = getWordCount(%data.baseRaidersForceColor) >= 2 ? BaseRaiders_findClosestColor(%data.baseRaidersForceColor) : %data.baseRaidersForceColor;
		}

		parent::setColor(%brick, %colorID);
	}

	function fxDTSBrick::setPrint(%brick, %printID)
	{
		%data = %brick.getDataBlock();

		if(%brick.baseRaidersForcePrint !$= "")
		{
			%printID = getPrintIDByName(%brick.baseRaidersForcePrint);
		}

		else if(%data.baseRaidersForcePrint !$= "")
		{
			%printID = getPrintIDByName(%data.baseRaidersForcePrint);
		}

		parent::setPrint(%brick, %printID);
	}

	function fxDTSBrick::setVehicle(%brick, %vehicleData, %client)
	{
		if(isObject(%client) && %mini = %client.isInBaseRaidersMini() && $BaseRaiders::RestrictedVehicle[%vehicleData.getName()])
		{
			commandToClient(%client, 'centerPrint', "This vehicle is \c6RESTRICTED\c0 in this gamemode.", 2);
			%brick.setVehicle(0);

			return;
		}

		parent::setVehicle(%brick, %vehicleData, %client);
	}
};
activatePackage(BaseRaiders_Bricks);