$BaseRaiders::ForumLink = "forum.blockland.us/index.php?topic=287787.0";
$BaseRaiders::ClientLink = "blocklandglass.com/addon.php?id=184";

function serverCmdRules(%client)
{
	serverCmdHelp(%client, "0");
}

function serverCmdHelp(%client, %cat, %word2)
{
	switch$(%cat)
	{
		case "Rules":
			%cat = 0;

		case "Gameplay":
			%cat = 1;

		case "Commands":
			%cat = 2;

		case "Client":
			%cat = 3;

		case "Beta":
			%cat = 4;

		case "Admin":
			%cat = 5;
	}

	switch$(%cat)
	{
		case "0": //Rules
			messageClient(%client, '', "\c6=====\c3 HELP \c6-\c3 RULES \c6=====");
			messageClient(%client, '', "\c31\c6. Listen to and respect the admins.");
			messageClient(%client, '', "\c32\c6. No building in someone else's base(If it has no default ceiling then it's no man's land and doesn't count).");
			messageClient(%client, '', "\c33\c6. No going outside the build.");
			messageClient(%client, '', "\c34\c6. No building outside the build.");
			messageClient(%client, '', "\c35\c6. No blocking other people's bases with bricks.");
			messageClient(%client, '', "\c36\c6. No blocking people in with bricks(if they're too stubborn to move or if they're in your base and you simply repaired it/they won't leave it, then you're not blocking).");
			messageClient(%client, '', "\c37\c6. No blocking up any spawn(must leave at least one side and the roof open).");
			messageClient(%client, '', "\c38\c6. No spamming(chat, mass brick spam, etc).");
			messageClient(%client, '', "\c39\c6. No placing sentries out in the open.");

		case "1": //Gameplay
			commandToClient(%client, 'messageBoxOk', "HELP - GAMEPLAY", "Click <a:" @ $BaseRaiders::ForumLink @ ">HERE</a> for information on gameplay.");

		case "2": //Commands
			messageClient(%client, '', "\c6=====\c3 HELP \c6-\c3 COMMANDS \c6=====");
			messageClient(%client, '', "\c6/\c3donate\c6 [\c3NAME\c6] [\c3AMOUNT\c6]");
			messageClient(%client, '', "\c6/\c3dontSpawnWithTools");
			messageClient(%client, '', "\c6/\c3buy");
			messageClient(%client, '', "\c6/\c3put\c6");
			messageClient(%client, '', "\c6/\c3take\c6 [\c3ITEM NUMBER\c6]");
			messageClient(%client, '', "\c6/\c3deposit\c6 [\c3AMOUNT\c6]");
			messageClient(%client, '', "\c6/\c3withdraw\c6 [\c3AMOUNT\c6]");
			messageClient(%client, '', "\c6/\c3repo\c6");
			messageClient(%client, '', "\c6/\c3listGangs\c6");
			messageClient(%client, '', "\c6/\c3makeGang\c6 [\c3NAME\c6]");
			messageClient(%client, '', "\c6/\c3renameGang\c6 [\c3NAME\c6]");
			messageClient(%client, '', "\c6/\c3disbandGang\c6");
			messageClient(%client, '', "\c6/\c3invite\c6 [\c3NAME\c6]");
			messageClient(%client, '', "\c6/\c3cancelInvite\c6 [\c3NAME\c6]");
			messageClient(%client, '', "\c6/\c3joinGang\c6");
			messageClient(%client, '', "\c6/\c3declineGang\c6");
			messageClient(%client, '', "\c6/\c3gangKick\c6 [\c3NAME\c6]");
			messageClient(%client, '', "\c6/\c3leaveGang\c6");
			messageClient(%client, '', "\c6/\c3setGangRank\c6 [\c3NAME\c6] [\c3RANK\c6]");
			messageClient(%client, '', "\c6/\c3gang\c6 [\c3OPT: GANG NAME\c6]");
			messageClient(%client, '', "\c6/\c3makeDoor\c6 [\c3OPT: TIME(MS)\c6]");
			messageClient(%client, '', "\c6/\c3unMakeDoor\c6");

		case "3": //Client Mod
			commandToClient(%client, 'messageBoxOk', "HELP - CLIENT MOD", "If you don't have the gamemode, click <a:" @ $BaseRaiders::ClientLink @ ">HERE</a> to download the Base Raiders Client mod. It tells you the prices of items and the stats for bricks.");

		case "4": //Beta
			messageClient(%client, '', "\c6=====\c3 HELP \c6-\c3 BETA \c6=====");
			messageClient(%client, '', "\c6This mod is still in it's \c4beta\c6 phase and isn't yet publically released.");
			messageClient(%client, '', "\c6If you find any bugs, use \c3/report\c6 [\c3PROBLEM\c6]. Abuse of this command will get you automatically banned.");

		case "5": //Admin
			if(!%client.isAdmin)
			{
				return;
			}

			messageClient(%client, '', "\c6=====\c3 HELP \c6-\c3 ADMIN \c6=====");
			messageClient(%client, '', "\c6[\c0SUPER ADMIN\c6] \c6/\c3forcePhase\c6");
			messageClient(%client, '', "\c6[\c0SUPER ADMIN\c6] \c6/\c3pausePhase\c6");
			messageClient(%client, '', "\c6[\c0SUPER ADMIN\c6] \c6/\c3clearAllDroppedMoney\c6");
			messageClient(%client, '', "\c6[\c0SUPER ADMIN\c6] \c6/\c3clearDroppedMoney\c6");
			messageClient(%client, '', "\c6[\c0SUPER ADMIN\c6] \c6/\c3clearAllBarricades\c6");
			messageClient(%client, '', "\c6[\c0SUPER ADMIN\c6] \c6/\c3heightInPlates\c6");

		default:
			messageClient(%client, '', "\c6=====\c3 HELP \c6=====");
			messageClient(%client, '', "\c6[\c30\c6]\c3 Rules");
			messageClient(%client, '', "\c6[\c31\c6]\c3 Gameplay");
			messageClient(%client, '', "\c6[\c32\c6]\c3 Commands");
			messageClient(%client, '', "\c6[\c33\c6]\c3 Client Mod");
			messageClient(%client, '', "\c6[\c34\c6]\c4 Beta");

			if(%client.isAdmin)
			{
				messageClient(%client, '', "\c6[\c35\c6]\c2 Admin");
			}
	}
}