//Pro tip: prefs are displayed opposite the order in which they're registered.

if(!isObject(Slayer))
{
	exec("Add-Ons/Gamemode_Slayer/server/main.cs");
}

new scriptGroup(Slayer_GameModeTemplateSG)
{
	className = "BaseRaiders";
	uiName = "Base Raiders";
	useTeams = true;
	disable_teamCreation = 1;

		//Basic Options - Default
	default_title = "Base Raiders";
	default_colorIdx = 45;
	default_inviteOnly = 0;
	default_isDefaultMiniGame = 1;
	default_fallingDamage = 1;
	default_selfDamage = 1;
	default_nameDistance = 500;
	default_enablePlayerLights = 1;
	default_respawnTime_player = 15;
	default_respawnTime_bot = 15;
	default_respawnTime_vehicle = 30;
	default_respawnTime_brick = 15;

		//Advanced Options - Default
	default_CPTransitionalColors = 1;
	default_flyCam_playDuringCountdown = 0;
	default_flyCam_playOnReset = 0;
	default_flyCam_roundsBetweenFlyThroughs = 1;
	default_flyCam_roundsPassed = 0;
	default_allowMoveWhileResetting = 0;
	default_editRights = 4;
	default_leaveRights = 5;
	default_resetRights = 4;
	default_spectateAutoCam = 1;
	default_spectateCapturePoints = 1;

		//Basic Options - Locked
	locked_playersUseOwnBricks = 0;
	locked_useAllPlayersBricks = 1;
	locked_useSpawnBricks = 1;
	locked_enableBuilding = 1;
	locked_enablePainting = 1;
	locked_enableWand = 0;
	locked_weaponDamage = 1;
	locked_brickDamage = 0;
	locked_botDamage = 1;
	locked_vehicleDamage = 1;
	locked_lives = 0;
	locked_points = 0;
	locked_time = 0;
	locked_startEquip0 = nameToID("hammerItem");
	locked_startEquip1 = nameToID("wrenchItem");
	locked_startEquip2 = nameToID("printGun");
	locked_startEquip3 = " ";
	locked_startEquip4 = " ";
	locked_enablePlayerSuicide = 1;
	locked_playerDataBlock = nameToID("playerNoJet");
	locked_respawnPenalty_friendlyFire = 0;
	locked_friendlyFireProgressivePenalty = 0;
	locked_points_killPlayer = 0;
	locked_points_killBot = 0;
	locked_points_die = 0;
	locked_points_killSelf = 0;
	locked_points_plantBrick = 0;
	locked_points_breakBrick = 0;
	locked_points_friendlyFire = 0;
	locked_points_CP = 0;

		//Teams Options - Locked
	locked_teams_balanceOnNew = 0;
	locked_teams_friendlyFire = 0;
	locked_teams_lock = 0;
	locked_teams_autoSort = 0;
	locked_teams_balanceTeams = 0;
	locked_teams_shuffleTeams = 0;
	locked_teams_roundsBetweenShuffles = 0;
	locked_teams_allySameColors = 0;

		//Advanced Options - Locked
	

	default_disableSlayerMessages = 0;
	default_chat_teamDisplayMode = 3;
	default_allowMoveWhileResetting = 0;
	default_flyThroughCam = 0;
	default_["Teams.notifyMemberChanges"] = 1;
	default_["Teams.punishFF"] = 0;

	locked_bonusKillsEnabled = 0;
	locked_bonusKills = 30;
	locked_bonusPointsPerMultiKill = 0;
	locked_bonusPointsPerKillSpree = 0;
	locked_chat_enableTeamChat = 1;
	locked_customRule = "<color:ffff00>Base Raiders<color:ff00ff> - Make a gang, build a base, earn some cash, and defend what you've got! Or just raid others!";
	locked_chat_deadChatMode = 2;
	locked_deathMsgMode = 1;
	locked_eorrEnable = 0;
	locked_eorrDisplayTeamScores = 0;
	locked_eorrDislayVictory = 0;
	locked_clearScores = 0;
	locked_clearStats = 0;
	locked_lateJoinTime = -1;
	locked_preRoundSeconds = 0;
	locked_resetOnEmpty = 0;
	locked_spawnBrickColor = -1;
	locked_timeBetweenRounds = 0;
	locked_["Teams.friendlyFire"] = 0;
	locked_["Teams.lock"] = 1;
	locked_["Teams.autoSort"] = 0;
	locked_["Teams.balanceTeams"] = 0;
	locked_["Teams.shuffleTeams"] = 0;
	locked_["Teams.roundsBetweenShuffles"] = 999;
	locked_["Teams.allySameColors"] = 0;
	locked_["Teams.balanceOnNew"] = 0;
	locked_["Teams.shuffleMode"] = 0;
	locked_["Teams.swapMode"] = 1;
	locked_["Teams.teamOnlyDeadCam"] = 1;
	locked_restrictOutputEvents = 1;
	//locked_countdownDuringFlyThru = 0;
	//locked_roundsBetweenFlyThurs = 0;

	new scriptObject()
	{
		disable_delete = false;
		disable_edit = false;

			//Basic Team Options - Locked
		locked_name = "Default";
		locked_color = 45; //White
		locked_uniform = 0;
		locked_maxPlayers = -1;
		locked_botFillLimit = -1;
		locked_sort = 0;
		locked_sortWeight = 1;
		locked_lock = 0;
		locked_spectate = 0;
		locked_syncLoadout = 1;
		locked_datablock = nameToID("playerNoJet");
		locked_startEquip[0] = nameToID("hammerItem");
		locked_startEquip[1] = nameToID("wrenchItem");
		locked_startEquip[2] = nameToID("printGun");
		locked_startEquip[3] = " ";
		locked_startEquip[4] = " ";

			//Advanced Team Options - Locked
		locked_enableTeamChat = 1;
		locked_hideKillMsgs = 0;
		locked_chatColor = " ";
		locked_lives = -1;
		locked_playerScale = 1;
		locked_respawnTime_player = -1;
		locked_winOnTimeUp = 0;
	};
};
//=========================================================================
// Prefs - GameMode
//=========================================================================
new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Max Building Height";
	defaultValue = 0;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMaxBuildHeight";
	type = "int";
	int_minValue = 0;
	int_maxValue = 999999999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Mode";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Restrict Brick Lights";
	defaultValue = 1;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersRestrictLights";
	type = "bool";
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Mode";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Fighting Phase Time";
	defaultValue = 180;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersFightingPhaseTime";
	type = "int";
	int_minValue = 15;
	int_maxValue = 86400;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Mode";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Building Phase Time";
	defaultValue = 180;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersBuildingPhaseTime";
	type = "int";
	int_minValue = 15;
	int_maxValue = 86400;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Mode";
};
//=========================================================================
// Prefs - Player
//=========================================================================
new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Max Per Player Landmines";
	defaultValue = 2;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMaxLandMines";
	type = "int";
	int_minValue = 0;
	int_maxValue = 9999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Max Per Player Sentries";
	defaultValue = 2;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMaxPerPlayerSentries";
	type = "int";
	int_minValue = 0;
	int_maxValue = 9999;
	callback = "%mini.baseRaidersMaxPerPlayerSentries = maxClamp(%1, %mini.baseRaidersMaxGangSentries);";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Max Gang Sentries";
	defaultValue = 3;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMaxGangSentries";
	type = "int";
	int_minValue = 0;
	int_maxValue = 9999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Max Gang Members";
	defaultValue = 6;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMaxGangMembers";
	type = "int";
	int_minValue = 1;
	int_maxValue = 9999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Safe - Use During Fight Phase";
	defaultValue = 1;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersSafeUseDuringFightPhase";
	type = "bool";
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Safe - Gang Use Only";
	defaultValue = 0;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersGangSafeGangUseOnly";
	type = "bool";
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Non-Barricades During Fight Phase";
	defaultValue = 1;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersNonBarricadesDuringFight";
	type = "bool";
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Repo During Fight Phase";
	defaultValue = 0;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersRepoDuringFight";
	type = "bool";
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Min Repo Rank";
	defaultValue = 0;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMinRepoRank";
	type = "list";
	list_items = "0 Member" NL "1 Colonel" NL "2 Commander" NL "3 Owner";
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Power Per Player";
	defaultValue = 8;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersPowerMultiplier";
	type = "int";
	int_minValue = 1;
	int_maxValue = 9999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Player";
};
//=========================================================================
// Prefs - Respawn Times
//=========================================================================

//=========================================================================
// Prefs - Points
//=========================================================================
//If they have more than this when they die, everything over this number is dropped.
new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Max Safe Die Money";
	defaultValue = 20000;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMaxSafeDeathMoney";
	type = "int";
	int_minValue = 1;
	int_maxValue = 999999999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Points";
};

//If they die with this much money or less and they haven't damaged anyone, they don't drop $%mini.baseRaidersDeathDropMoney.
new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Too Poor Money";
	defaultValue = 150;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersPoorMoney";
	type = "int";
	int_minValue = 1;
	int_maxValue = 999999999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Points";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Death Drop Money";
	defaultValue = 50;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersDeathDropMoney";
	type = "int";
	int_minValue = 1;
	int_maxValue = 999999999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Points";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Go Money";
	defaultValue = 300;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersGoMoney";
	type = "int";
	int_minValue = 1;
	int_maxValue = 999999999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Points";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Make Door Cost";
	defaultValue = 15;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersMakeDoorCost";
	type = "int";
	int_minValue = 0;
	int_maxValue = 999999999;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Points";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Barrel Discount Percentage";
	defaultValue = 20;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersItemBarrelDiscount";
	type = "int";
	int_minValue = 0;
	int_maxValue = 100;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Points";
};

new scriptObject(Slayer_PrefSO : Slayer_DefaultPrefSO)
{
	category = "Game Mode";
	title = "Repo Percentage";
	defaultValue = 80;
	permissionLevel = $Slayer::PermissionLevel["Owner"];
	variable = "%mini.baseRaidersRepoPercent";
	type = "int";
	int_minValue = 0;
	int_maxValue = 100;
	callback = "";
	notifyPlayersOnChange = true;
	guiTag = "Rules BaseRaiders Points";
};